Skip to main content
GET
List Prospect Events

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

prospect_identifier
string
required

Query Parameters

type
string
default:email

Prospect identifier type

event_type
string | null

Filter by event_type

channel
string | null

Filter by channel

campaign_id
string<uuid> | null

Filter by campaign

limit
integer
default:50
Required range: 1 <= x <= 200
cursor
string | null

Opaque pagination cursor

Response

Successful Response

items
EngagementEvent · object[]
required
next_cursor
string | null